snmp_mib2_system.c File Reference
`#include "lwip/snmp.h"`
`#include "lwip/apps/snmp.h"`
`#include "lwip/apps/snmp_core.h"`
`#include "lwip/apps/snmp_mib2.h"`
`#include "lwip/apps/snmp_table.h"`
`#include "lwip/apps/snmp_scalar.h"`
`#include "lwip/sys.h"`
`#include <string.h>`

## Functions

void | snmp_mib2_set_sysdescr (const u8_t *str, const u16_t *len)
void | snmp_mib2_set_syscontact (u8_t *ocstr, u16_t *ocstrlen, u16_t bufsize)
void | snmp_mib2_set_syscontact_readonly (const u8_t *ocstr, const u16_t *ocstrlen)
void | snmp_mib2_set_sysname (u8_t *ocstr, u16_t *ocstrlen, u16_t bufsize)
void | snmp_mib2_set_sysname_readonly (const u8_t *ocstr, const u16_t *ocstrlen)
void | snmp_mib2_set_syslocation (u8_t *ocstr, u16_t *ocstrlen, u16_t bufsize)
void | snmp_mib2_set_syslocation_readonly (const u8_t *ocstr, const u16_t *ocstrlen)

## Detailed Description

Management Information Base II (RFC1213) SYSTEM objects and functions.